<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * lang file
 *
 * @package   mod_supervideo
 * @copyright 2024 Eduardo kraus (http://eduardokraus.com)
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['abortado_upload_ottflix'] = 'Upload to Super Video Module aborted!';
$string['app_title'] = 'Super Video Kapture Module';
$string['aprovar_permissao'] = 'Select <b><i>Allow</i></b> when your browser asks for permissions.';
$string['autoplay'] = 'Play automatically';
$string['autoplay_desc'] = 'Automatically play the player load';
$string['buscar_arquivos'] = 'Search files';
$string['camera'] = 'Camera';
$string['camera_redonda'] = 'Round Camera';
$string['carregando_documentos'] = 'Loading documents...';
$string['compartilhar_audio_sistema'] = 'Share System Audio';
$string['completiondetail:completionpercent'] = 'You have to watch {$a}% of the video';
$string['completionpercent'] = 'Requires percentage';
$string['completionpercent_error'] = 'Accept values from 1 to 100';
$string['completionpercent_help'] = 'Set complete when student views set percentage of video. Accept values from 1 to 100.';
$string['completionpercent_label'] = 'Enable:&nbsp;';
$string['contagem_regressiva'] = 'Countdown';
$string['controls'] = 'Controles';
$string['controls_captions'] = 'Captions';
$string['controls_current-time'] = 'Current Time';
$string['controls_desc'] = 'Define which controls will be displayed for uploads or files.';
$string['controls_duration'] = 'Duration';
$string['controls_fastForward'] = 'Fast Forward';
$string['controls_fullscreen'] = 'Fullscreen';
$string['controls_mute'] = 'Mute';
$string['controls_pause'] = 'Pause';
$string['controls_pip'] = 'Picture-in-Picture';
$string['controls_play'] = 'Play';
$string['controls_progress'] = 'Progress';
$string['controls_restart'] = 'Restart';
$string['controls_rewind'] = 'Rewind';
$string['controls_settings'] = 'Settings';
$string['controls_volume'] = 'Volume';
$string['desligado'] = 'Off';
$string['distractionfreemode'] = 'Distraction-free mode for videos';
$string['distractionfreemode_desc'] = 'This option allows videos to be displayed in distraction-free mode, hiding interface elements that may divert attention, providing a more focused viewing experience.<br>If the embed is from Google Drive with PDF/DOC/XLS sizes, it will not be enabled.';
$string['dnduploadlabel-mp3'] = 'Add Audio with Super Video';
$string['dnduploadlabel-mp4'] = 'Add Video with Super Video';
$string['dnduploadlabeltext'] = 'Add video with Super Video';
$string['entre_contato_suporte_erro'] = 'Contact support and provide the error ';
$string['enviar_novo'] = 'Send new';
$string['erro'] = 'Error:';
$string['erro_camera_microfone.'] = 'An error occurred while requesting Camera and Microphone.';
$string['error_accessing_camera'] = 'Error accessing camera or capturing screen';
$string['error_default'] = 'An unknown error occurred.';
$string['error_media_err_aborted'] = 'You aborted the video playback.';
$string['error_media_err_decode'] = 'The video playback was aborted due to a corruption problem or because the video used features your browser did not support.';
$string['error_media_err_network'] = 'A network error caused the video download to fail part-way.';
$string['error_media_err_src_not_supported'] = 'The video could not be loaded, either because the server or network failed or because the format is not supported.';
$string['esta_aba'] = 'This Tab';
$string['falha_upload_ottflix'] = 'Failed to upload to Super Video Module';
$string['filenotfound'] = 'File not found!';
$string['finalizar'] = 'Finish';
$string['finalizar_gravacao'] = 'Finish Recording';
$string['grade_approval'] = 'Set grade for';
$string['grade_approval_0'] = 'No grades';
$string['grade_approval_1'] = 'Grade based on percentage of video views';
$string['idnotfound'] = 'Unrecognized link like Youtube, Google Drive or Vimeo';
$string['iniciar_gravacao'] = 'Start Recording';
$string['iniciar_gravacao_fullscreen'] = 'Start Recording in FullScreen';
$string['inverter_camera'] = 'Invert Camera';
$string['kapture_precisa_camera'] = 'Kapture needs access to your microphone and camera.';
$string['layout_1'] = 'Layout 1';
$string['layout_2'] = 'Layout 2';
$string['layout_3'] = 'Layout 3';
$string['layout_4'] = 'Layout 4';
$string['layout_5'] = 'Layout 5';
$string['layout_6'] = 'Layout 6';
$string['layout_cam'] = 'Cam Layout';
$string['layout_presentation'] = 'Presentation Layout';
$string['logo_title'] = 'Logo';
$string['maxwidth'] = 'Maximum Width for Video Player';
$string['maxwidth_desc'] = 'Maximum width, in pixels, that the video player can expand to. Values below 500 pixels will be considered.<br>This value is completely ignored when the video is in "Distraction-Free Mode."';
$string['microfone'] = 'Microphone';
$string['modulename'] = 'Super Video';
$string['modulename_help'] = 'This module adds a Super Video within Moodle.';
$string['modulenameplural'] = 'Super Videos';
$string['nao_suportado_celular'] = 'Not supported on Mobile';
$string['no_data'] = 'No records';
$string['none_camera'] = 'Do not use the camera.';
$string['origem_drive'] = 'Video from Google Drive';
$string['origem_drive_help'] = 'Link to a video stored in your Google Drive. Make sure to adjust the sharing settings to allow access to the video.';
$string['origem_link'] = 'Link to a Video';
$string['origem_link_help'] = 'Use this option to provide a direct URL to any video source. Ensure the link is valid and accessible.';
$string['origem_name'] = 'Video Source';
$string['origem_ottflix'] = 'OttFlix Link or Identifier';
$string['origem_ottflix_help'] = 'Use this option to link to a video available on OttFlix. You can enter either the link or the video identifier.';
$string['origem_upload'] = 'Upload a Video';
$string['origem_upload_help'] = 'Select this option to upload a video file directly from your device. Supported formats include MP3, MP4, WEBM, M4V, MOV, AAC and M4A.';
$string['origem_vimeo'] = 'Video from Vimeo';
$string['origem_vimeo_help'] = 'Provide the URL of a Vimeo video. Ensure that the video is publicly accessible and not password protected.';
$string['origem_youtube'] = 'Video from YouTube';
$string['origem_youtube_help'] = 'Enter the URL of a public YouTube video. Make sure the video is not set to private or restricted.';
$string['ottflix'] = 'Super Video Module';
$string['ottflix_ia'] = 'Show available AI features on Ottflix';
$string['ottflix_title'] = 'Integration with OttFlix';
$string['ottflix_token'] = 'OttFlix Access Token';
$string['ottflix_token_desc'] = 'Enter the OttFlix access token for request authentication.';
$string['ottflix_url'] = 'OttFlix URL';
$string['ottflix_url_desc'] = 'Enter the OttFlix URL for integration.';
$string['ou'] = 'or';
$string['playersize'] = 'Video size';
$string['pluginadministration'] = 'Super Videos';
$string['pluginname'] = 'Super Video';
$string['privacy:metadata'] = 'The supervideo plugin does not send any personal data to third parties.';
$string['privacy:metadata:supervideo_view'] = 'A record of the user\'s interaction with the video player, such as play and pause events.';
$string['privacy:metadata:supervideo_view:cm_id'] = 'The ID of the course module where the video is located.';
$string['privacy:metadata:supervideo_view:currenttime'] = 'The current playback time in the video when the interaction was recorded.';
$string['privacy:metadata:supervideo_view:duration'] = 'The total duration of the video in seconds.';
$string['privacy:metadata:supervideo_view:mapa'] = 'A map of the user\'s video interaction, including pauses, replays, and skips.';
$string['privacy:metadata:supervideo_view:percent'] = 'The percentage of the video watched by the user.';
$string['privacy:metadata:supervideo_view:timecreated'] = 'The timestamp when the video interaction record was created.';
$string['privacy:metadata:supervideo_view:timemodified'] = 'The timestamp when the video interaction record was last modified.';
$string['privacy:metadata:supervideo_view:user_id'] = 'The ID of the user who interacted with the video.';
$string['processando'] = 'Processing...';
$string['record_kapture'] = 'Record your video with Kapture';
$string['report'] = 'Report';
$string['report_all'] = 'All views for this student';
$string['report_assistiu'] = 'Watched when';
$string['report_comecou'] = 'Started watching when';
$string['report_duracao'] = 'Video duration';
$string['report_email'] = 'Email';
$string['report_filename'] = 'Super Video Plugin video preview - {$a}';
$string['report_filename_geral'] = 'General';
$string['report_mapa'] = 'View Map';
$string['report_nome'] = 'Full name';
$string['report_porcentagem'] = 'Percentage seen';
$string['report_tempo'] = 'Watched time';
$string['report_terminou'] = 'Finished watching when';
$string['report_title'] = 'Report';
$string['report_userid'] = 'User ID';
$string['report_visualizacoes'] = 'Visualizations';
$string['salvar_computador'] = 'Save to Computer';
$string['salvar_gravacao_ottflix'] = 'Save your recording in Super Video Module';
$string['salvar_ottflix'] = 'Save in Super Video Module';
$string['selecionar_slide'] = 'Select Slide';
$string['selecione_apresentacao'] = 'Select Presentation';
$string['settings_obrigatorio_desmarcado'] = 'It will be disabled for everyone and there is no way to edit it on the FORM';
$string['settings_obrigatorio_marcado'] = 'It will be activated for everyone and there is no way to edit it on the FORM';
$string['settings_opcional_desmarcado'] = 'The FORM will appear deactivated and the teacher can activate or deactivate';
$string['settings_opcional_marcado'] = 'On the FORM it will appear activated and the teacher can activate or deactivate it';
$string['seu_mapa_ir_para'] = 'Go to {$a}';
$string['seu_mapa_view'] = 'Your View map:';
$string['showcontrols'] = 'Display controls';
$string['showcontrols_desc'] = 'Display player controls for YouTube and Vimeo.';
$string['showmapa'] = 'Show Map';
$string['showmapa_desc'] = 'If checked, show the map after the video player!';
$string['speed'] = 'Speed control';
$string['speed_0_5'] = 'Speed 0.5x';
$string['speed_0_75'] = 'Speed 0.75x';
$string['speed_1'] = 'Normal speed';
$string['speed_1_25'] = 'Speed 1.25x';
$string['speed_1_5'] = 'Speed 1.5x';
$string['speed_1_75'] = 'Speed 1.75x';
$string['speed_2'] = 'Speed 2x';
$string['speed_4'] = 'Speed 4x';
$string['speed_desc'] = 'Define which speed options will be displayed in the player';
$string['supervideo:addinstance'] = 'Create new activities with Super Video';
$string['supervideo:view'] = 'View and interact with Super Video';
$string['supervideo:view_report'] = 'View SuperVideo reports';
$string['tamanho_camera'] = 'Camera Size';
$string['tela_inteira'] = 'Fullscreen';
$string['title_captura'] = 'Capture ';
$string['titulo_muito_curto'] = 'Title too short!';
$string['upload_concluido'] = 'Upload completed. Waiting for processing!';
$string['videofile'] = 'Or select an MP3, MP4 or WebM file';
$string['videofile_help'] = 'You can upload an MP3 or MP4 file, host it on MoodleData and show it in the Super Video player';
$string['videourl_error'] = 'Super Video URL';
$string['videourl_help'] = '<h4>Youtube</h4>
<div>Add a Youtube URL that you used. want to add to the course:</div>
<div><strong>Ex:</strong> https://www.youtube.com/watch?v=SNhUMChfolc</div>
<div><strong>Ex:</strong> https://youtu.be/kwjhXQUpyvA</div>
<h4>Google Drive</h4>
<div>In Google Drive, click share video and set permissions and paste the link here.</div>
<h4>Vimeo</h4>
<div>Add a Vimeo URL that you used. want to add to the course:</div>
<div><strong>Ex:</strong> https://vimeo.com/300138942</div>
<h4>External video or audio</h4>
<div>Add a URL of a video you have hosted on your own server:</div>
<div><strong>Ex:</strong> https://host.com.br/file/video.mp4</div>
<div><strong>Ex:</strong> https://host.com.br/file/video.mp3</div>';
